> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-unknown-flags/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Get unknown flags GET https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags Returns a list of unknown flag reports from the last 24 hours, if any. Maximum of 1000. Reference: https://docs.getunleash.io/api/get-unknown-flags ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Response ### 200 unknownFlagsResponseSchema - `unknownFlags` (list of unknownFlagSchema, required) — The list of recently reported unknown flags. ## Types ### unknownFlagSchema An unknown flag report - `name` (string, required) — The name of the unknown flag. - `lastSeenAt` (string, required) — The date and time when the unknown flag was last reported. - `lastEventAt` (string, optional, nullable) — The date and time when the last event for the unknown flag name occurred, if any. - `reports` (list of UnknownFlagSchemaReportsItems, optional) — The list of reports for this unknown flag. ### UnknownFlagSchemaReportsItems - `appName` (string, required) — The name of the application that reported the unknown flag. - `environments` (list of UnknownFlagSchemaReportsItemsEnvironmentsItems, required) — The list of environments where this application reported the unknown flag. ### UnknownFlagSchemaReportsItemsEnvironmentsItems - `environment` (string, required) — The environment in which the unknown flag was reported. - `seenAt` (string, required) — The date and time when the unknown flag was last seen in this environment. ## Examples **Response** ```json { "unknownFlags": [ { "name": "my-unknown-flag", "lastSeenAt": "2023-10-01T12:00:00Z", "lastEventAt": "2023-10-01T12:00:00Z", "reports": [ { "appName": "my-app", "environments": [ { "environment": "production", "seenAt": "2023-10-01T12:00:00Z" } ] } ] } ] } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/metrics/unknown-flags")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```